<?php

namespace test;

/**
 * A test class contains methods to check if a class is working as
 * expected. It should only contains check about the specific class,
 * without considering anythint about the rest of the code.
 */
abstract class Test
{
	/**
	 * List of "check" methods
	 *
	 * @var \array[\function]
	 */
	protected array $checks;
	/**
	 * Check if the class works
	 *
	 * @return \bool True if it works, False if any check fail
	 */
	public function check() : bool
	{
		foreach ($this->checks as $check)
		{
			if (!$check())
			{
				return False;
			}
		}
		return True;
	}
}

?>
