<?php

namespace test;

/**
 * Generate a valid random plugin name that do not already exist.
 *
 * @return \string Generated plugin name
 */
function generate_random_plugin_name() : string
{
	$plugins_name = array();
	foreach (\core\plugin\PluginManager::fetch_plugins() as $plugin)
	{
		$plugins_name[] = $plugin->get_configuration()->get('name');
	}

	$generated_name = \bin2hex(random_bytes(10));
	while (\in_array($generated_name, $plugins_name))
	{
		$generated_name = \bin2hex(random_bytes(10));
	}

	return $generated_name; # NOTE: automatic conversion to string
}

?>
